#!/bin/bash
export VITASDK=/usr/local/vitasdk
export PATH=$VITASDK/bin:$PATH

sudo apt-get install libarchive-tools
git clone https://github.com/vitasdk/packages.git ~/vitapackages
cd ~/vitapackages

dir_array=(
  "glm"
  "vitaShaRK"
  "libmathneon"
  "kubridge"
  "SceShaccCgExt"
  "vitaGL"
)

curdir=$(pwd)
for d in "${dir_array[@]}";do
  echo "${curdir}${d}"
  cd "${curdir}/${d}"
  vita-makepkg -C -f -d
  tar -C $VITASDK/arm-vita-eabi/ -xvf *-arm.tar.xz
done