// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "SimpleTexturedMaterial.hpp"
#include "game/DawnGame.hpp"

using namespace Dawn;

SimpleTexturedMaterial::SimpleTexturedMaterial(SceneItem *i) :
  Material(i)
{
}

Shader * SimpleTexturedMaterial::getShader() {
  return &this->getGame()->renderManager.simpleShader;
}